#pragma once

#include <SDL3/SDL.h>

namespace Mouse {
    // Gestiona el moviment del ratolí (mostra el cursor si es mou)
    void handleEvent(const SDL_Event& event);

    // Amaga el cursor si no s'ha mogut en un temps
    void updateCursorVisibility();
}  // namespace Mouse
